API
شغّل نوعًا من البريد أو أوقفه
يوقف نوعًا من البريد يرسله OpenEmail إلى الشخص أو يستأنفه.
PUT/account/notifications/email/{category}
ينفّذ الاستدعاء الحقيقي على مساحة عملك.
PUT /account/notifications/email/{category}
يوقف نوعًا من البريد يرسله OpenEmail إلى الشخص أو يستأنفه.
مثال
يتطلب account:write. category هو activity أو product، وenabled بقيمة false يوقف ذلك البريد. يرد بإعدادات الإشعارات كما هي الآن.
curl -X PUT "$OE/account/notifications/email/product" -H "$AUTH" \ -H "Content-Type: application/json" -d '{ "enabled": false }'{ "object": "notification_settings", "email": [ { "category": "product", "label": "Product news", "description": "Occasional notes about what is new in OpenEmail.", "required": false, "enabled": false } ], "mutedWorkspaces": []}لا يمكن إيقاف account وbilling، وطلب ذلك يُرجع 422 invalid_parameter على category.